<?php

require_once __DIR__ . '/vendor/autoload.php';

/**
 * This is an example entry point of the console application of the workers framework
 * This entry point would provide access to console commands of the workers framework,
 * which are then handled by src/Console/Kernel.php
 * 
 * You would need it in YOUR application, you may put it anywhere, you just need to change:
 * 
 * $appDir - a desired base path for workers framework data, and this is not necessary
 * to be the same as the root of the package source, it would better to be a root of the application
 * or a root of the application submodule
 * 
 * $configFileName - a desired name of configuration file
 * 
 * Note that {$appDir}/storage must be a folder, present and writeable, state.yaml would be placed in there
 */

$appDir = __DIR__;
$configFileName = 'config.yaml';
$app = new \InSegment\WorkersFramework\Console\Application($appDir, $configFileName);
$app->handle();