<?php

namespace InSegment\WorkersFramework\Interfaces;

use React\Promise\PromiseInterface;

interface QueueInterface
{
    
    /**
     * Get queue connection for this queue
     * 
     * @return \InSegment\WorkersFramework\Interfaces\QueueDriverInterface
     */
    public function getConnection(): QueueDriverInterface;
    
    /**
     * Get name of the queue
     * 
     * @return string
     */
    public function getQueueName(): string;
    
    /**
     * Subscribe to queue and return consumer tag
     * 
     * @param \InSegment\WorkersFramework\Interfaces\ConsumerInterface $reciever
     * @return \React\Promise\PromiseInterface
     */
    public function subscribe(ConsumerInterface $reciever): PromiseInterface;
    
    /**
     * Un-subscribe from queue
     * 
     * @param string $consumerTag
     * @return \React\Promise\PromiseInterface
     */
    public function unsubscribe(string $consumerTag): PromiseInterface;
    
}
